searchNodes=[{"doc":"Seqfuzz is an implementation of a sequential fuzzy string matching algorithm, similar to those used in code editors like Sublime Text. It is based on Forrest Smith's work on lib_ftps and his blog post Reverse Engineering Sublime Text's Fuzzy Match.There is an alternate implementation by @WolfDan which can be found here: Fuzzy Match v0.2.0 Elixir.DocumentationGitHub: https://github.com/negcx/seqfuzzHexdocs: https://hexdocs.pm/seqfuzzInstallationThe package can be installed by adding seqfuzz to your list of dependencies in mix.exs:def deps do [ {:seqfuzz, &quot;~&gt; 0.2.0&quot;} ] endExamplesiex&gt; Seqfuzz.match(&quot;Hello, world!&quot;, &quot;hellw&quot;) %{match?: true, matches: [0, 1, 2, 3, 7], score: 202} iex&gt; items = [{1, &quot;Hello Goodbye&quot;}, {2, &quot;Hell on Wheels&quot;}, {3, &quot;Hello, world!&quot;}] iex&gt; Seqfuzz.filter(items, &quot;hellw&quot;, &amp;(elem(&amp;1, 1))) [{3, &quot;Hello, world!&quot;}, {2, &quot;Hell on Wheels&quot;}]ScoringScores can be passed as options if you want to override the defaults. I have added additional separators as a default as well as two additional scoring features: case match bonus and string match bonus. Case match bonus provides a small bonus for matching case. String match bonus provides a large bonus when the pattern and the string match exactly (although with different cases) to make sure that those results are always highest.Changelog0.2.0 - Change scoring to be via options instead of configuration.0.1.0 - Initial version. Supports basic algorithm but does not search recursively for better matches.RoadmapAdd support for recursive search for better matches.Add support for asynchronous stream search.","ref":"Seqfuzz.html","title":"Seqfuzz","type":"module"},{"doc":"Matches against a list of strings and returns the list of matches sorted by highest score first.Examplesiex&gt; strings = [&quot;Hello Goodbye&quot;, &quot;Hell on Wheels&quot;, &quot;Hello, world!&quot;] iex&gt; Seqfuzz.filter(strings, &quot;hellw&quot;) [&quot;Hello, world!&quot;, &quot;Hell on Wheels&quot;]","ref":"Seqfuzz.html#filter/2","title":"Seqfuzz.filter/2","type":"function"},{"doc":"Matches against an enumerable using a callback to access the string to match and returns the list of matches sorted by highest score first.Examplesiex&gt; items = [{1, &quot;Hello Goodbye&quot;}, {2, &quot;Hell on Wheels&quot;}, {3, &quot;Hello, world!&quot;}] iex&gt; Seqfuzz.filter(items, &quot;hellw&quot;, &amp;(elem(&amp;1, 1))) [{3, &quot;Hello, world!&quot;}, {2, &quot;Hell on Wheels&quot;}]","ref":"Seqfuzz.html#filter/3","title":"Seqfuzz.filter/3","type":"function"},{"doc":"Determines whether pattern is a sequential fuzzy match with string and provides a matching score. matches is a list of indices within string where a match was found.Examplesiex&gt; Seqfuzz.match(&quot;Hello, world!&quot;, &quot;hellw&quot;) %{match?: true, matches: [0, 1, 2, 3, 7], score: 202}","ref":"Seqfuzz.html#match/3","title":"Seqfuzz.match/3","type":"function"},{"doc":"Applies the match algorithm to the entire enumerable with options to sort and filter.Options:sort - Sort the enumerable by score, defaults to false.:filter - Filter out elements that don't match, defaults to false.:metadata - Include the match metadata map in the result, defaults to true. When true the return value is a tuple {element, %{...}}. When false, the return value is a list of element.:sequential_bonus Default: 15:separator_bonus: Default: 30:camel_bonus Default: 30:first_letter_bonus Default: 15:leading_letter_penalty Default: -3:max_leading_letter_penalty Default: -25:unmatched_letter_penalty Default: -1:case_match_bonus Default: 1:string_match_bonus Default: 20:separators Default: [&quot;_&quot;, &quot; &quot;, &quot;.&quot;, &quot;/&quot;, &quot;,&quot;]:initial_score Default: 100Examplesiex&gt; strings = [&quot;Hello Goodbye&quot;, &quot;Hell on Wheels&quot;, &quot;Hello, world!&quot;] iex&gt; Seqfuzz.matches(strings, &quot;hellw&quot;, &amp; &amp;1) [ {&quot;Hello Goodbye&quot;, %{match?: false, matches: [0, 1, 2, 3], score: 170}}, {&quot;Hell on Wheels&quot;, %{match?: true, matches: [0, 1, 2, 3, 8], score: 200}}, {&quot;Hello, world!&quot;, %{match?: true, matches: [0, 1, 2, 3, 7], score: 202}} ] iex&gt; strings = [&quot;Hello Goodbye&quot;, &quot;Hell on Wheels&quot;, &quot;Hello, world!&quot;] iex&gt; Seqfuzz.matches( iex&gt; strings, iex&gt; &quot;hellw&quot;, iex&gt; &amp; &amp;1, iex&gt; metadata: false, iex&gt; filter: true, iex&gt; sort: true iex&gt; ) [&quot;Hello, world!&quot;, &quot;Hell on Wheels&quot;]","ref":"Seqfuzz.html#matches/4","title":"Seqfuzz.matches/4","type":"function"},{"doc":"","ref":"Seqfuzz.html#t:match_metadata/0","title":"Seqfuzz.match_metadata/0","type":"type"}]